<layout-profile-info-card [isLoading]="isLoading$ | async">
  <div class="profile-info" *ngIf="merchantProfile$ | async as merchantProfile">
    <div class="profile-info__data">
      <layout-status [status]="merchantProfile?.status"></layout-status>
      <div class="merchant-data">
        <img
          src="app/presentation/assets/img/icons/tag-circle.svg"
          alt="Merchant"
          class="merchant-data__icon"
        />
        <div class="merchant-data__info">
          <p class="name">
            <b>{{ merchantProfile?.display_name }}</b>
          </p>
          <p class="item">
            <span class="item__title">
              {{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.INFO.MERCHANT_ID"
                  | translate
              }}:
            </span>
            <span class="item__description">
              {{ merchantProfile?.reference }}
            </span>
          </p>
        </div>
      </div>
    </div>
    <div class="profile-info__dates">
      <p class="item">
        <span class="item__title">
          <b>
            {{
              "MERCHANT_MANAGER.MERCHANT_PROFILE.INFO.CREATED_AT" | translate
            }}:
          </b>
        </span>
        <span class="item__description">
          {{ merchantProfile?.created_at | MODate }}
        </span>
      </p>
    </div>
  </div>
</layout-profile-info-card>
